package com.sw.mes.yb.seed.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.seed.dto.SeedGroupBracketDto;
import com.sw.mes.yb.seed.entity.SeedGroupBracket;

import java.util.List;

public interface SeedGroupBracketService extends BaseService<SeedGroupBracket> {
    SeedGroupBracket findCode(String code);
    SeedGroupBracketDto findGroupBracketByCode(String code);

    SeedGroupBracket findBillCode(String billCode);

    SeedGroupBracketDto findByIds(Long id);

    Result createWarehouseInputBill(SeedGroupBracketDto seedGroupBracketDto);

    Result create(SeedGroupBracketDto seedGroupBracketDto);
    Result update(SeedGroupBracketDto seedGroupBracketDto);
}
